<template>
	<view class="container">
		<navBar title="关于我们" :back="true" color="#333333" background="#FFFFFF" />

		<view class="topBox">
			<u-parse :content="content"></u-parse>
		</view>

		<view class="btnBox">
			<view class="item" @click="toProtocol(1)">
				使用协议
			</view>
			<view class="item" @click="toProtocol(2)">
				隐私协议
			</view>
		</view>
	</view>
</template>

<script>
	// import navBar from '@/components/navBar/index.vue'

	import {
		getKefu,
	} from '@/api/index/index.js'
	export default {
		// components: {
		// 	navBar
		// },
		data() {
			return {
				content: ''
			}
		},
		onLoad() {
			this.getabout()
		},
		methods: {
			async getabout() {
				let res1 = await getKefu()
				console.log('关于我们返回值--------2', res1);
				if (res1.code == 0) {
					this.content = res1.data.about.value
				} else {
					this.$toast(res1.message)
				}
			},
			toProtocol(type) {
				uni.navigateTo({
					url: '/pages/my/protocol/index?type=' + type
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	@import "./index.scss";
</style>